<< strips | FOSSEE_Signal_Processing_Toolbox | synthesis >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > subspaceMethodsInputPars

# subspaceMethodsInputPars

Input parser to be used by pmusic and peig. It is a helper function

### Syntax

    [data, msg, err_num] = subspaceMethodsInputPars(inputArgsList)

### Parameters

inputArgsList:

  List of input arguments to be parsed.

data:

  Struct containing the parsed input arguments with the following fields:

- x:

  Input signal or correlation matrix.

- p:

  Scalar or 2-element vector representing signal subspace parameters.

- w/f:

  Vector.

- nfft:

  Positive scalar.

- fs:

  Positive scalar.

- isWindowSpecified:

  Boolean indicating if a window is specified.

- windowLength:

  Positive scalar.

- windowVector:

  Vector.

- noverlap:

  Scalar.

- freqrange:

  String specifying the frequency range.

- isCorrFlag:

  Boolean indicating if the 'corr' flag is present.

- isFsSpecified:

  Boolean indicating if the sampling frequency (fs) is specified.

msg:

  Error message (if any).

err_num:

  Error number (if any; otherwise -1).

### Description

The `subspaceMethodsInputParsS` function parses input arguments for subspace methods like pmusic and peig. It supports various input combinations and validates the arguments. The function returns a structured output containing the parsed arguments, along with error messages and error codes if the input is invalid.

Report an issue
<< strips | FOSSEE_Signal_Processing_Toolbox | synthesis >>